%{?mingw_package_header}

Name:           mingw-xz
Version:        5.2.5
Release:        %mkrel 2
Summary:        Cross-compiled LZMA compression utilities

# Scripts xz{grep,diff,less,more} and symlinks (copied from gzip) are
# GPLv2+, binaries are Public Domain (linked against LGPL getopt_long but its
# OK), documentation is Public Domain.
License:        GPLv2+ and Public Domain
Group:          Development/Other
URL:            http://tukaani.org/xz/
Source0:        http://tukaani.org/xz/xz-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils


%description
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.


# Mingw32
%package -n mingw32-xz
Summary:        Cross-compiled LZMA compression utilities
Requires:       mingw32-xz-libs = %{version}-%{release}

%description -n mingw32-xz
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.


%package -n mingw32-xz-libs
Summary:        Libraries for decoding LZMA compression
License:        Public Domain
Group:          Development/Other


%description -n mingw32-xz-libs
Libraries for decoding files compressed with LZMA or XZ utils.


%package -n mingw32-xz-libs-static
Summary:        Static version of the xz library
License:        Public Domain
Requires:       mingw32-xz-libs = %{version}-%{release}
Group:          Development/Other


%description -n mingw32-xz-libs-static
Static version of the xz library.


# Mingw64
%package -n mingw64-xz
Summary:        Cross-compiled LZMA compression utilities
Requires:       mingw64-xz-libs = %{version}-%{release}

%description -n mingw64-xz
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.


%package -n mingw64-xz-libs
Summary:        Libraries for decoding LZMA compression
License:        Public Domain
Group:          Development/Other


%description -n mingw64-xz-libs
Libraries for decoding files compressed with LZMA or XZ utils.


%package -n mingw64-xz-libs-static
Summary:        Static version of the xz library
License:        Public Domain
Requires:       mingw64-xz-libs = %{version}-%{release}
Group:          Development/Other


%description -n mingw64-xz-libs-static
Static version of the xz library.


%?mingw_debug_package


%prep
%setup -q -n xz-%{version}


%build
MINGW32_CFLAGS="%{mingw32_cflags} -D_FILE_OFFSET_BITS=64" \
MINGW64_CFLAGS="%{mingw64_cflags} -D_FILE_OFFSET_BITS=64" \
%mingw_configure --disable-nls \
                 --disable-threads \
                 --disable-lzmadec \
                 --disable-lzmainfo \
                 --disable-lzma-links \
                 --disable-scripts
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

iconv -f latin1 -t utf-8 < NEWS > NEWS.utf8; cp NEWS.utf8 NEWS
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name cpio.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name mtree.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name tar.5 -exec rm -f {} ';'

# Remove documentation which duplicates that found in the native package.
rm -r $RPM_BUILD_ROOT/%{mingw32_prefix}/share
rm -r $RPM_BUILD_ROOT/%{mingw64_prefix}/share


# Win32
%files -n mingw32-xz
%license COPYING COPYING.GPLv2 COPYING.GPLv3 COPYING.LGPLv2.1
%{mingw32_bindir}/unxz.exe
%{mingw32_bindir}/xz.exe
%{mingw32_bindir}/xzcat.exe
%{mingw32_bindir}/xzdec.exe

%files -n mingw32-xz-libs
%license COPYING
%{mingw32_bindir}/liblzma-5.dll
%{mingw32_includedir}/lzma
%{mingw32_includedir}/lzma.h
%{mingw32_libdir}/liblzma.dll.a
%{mingw32_libdir}/pkgconfig/liblzma.pc

%files -n mingw32-xz-libs-static
%license COPYING
%{mingw32_libdir}/liblzma.a


# Win64
%files -n mingw64-xz
%license COPYING COPYING.GPLv2 COPYING.GPLv3 COPYING.LGPLv2.1
%{mingw64_bindir}/unxz.exe
%{mingw64_bindir}/xz.exe
%{mingw64_bindir}/xzcat.exe
%{mingw64_bindir}/xzdec.exe

%files -n mingw64-xz-libs
%license COPYING
%{mingw64_bindir}/liblzma-5.dll
%{mingw64_includedir}/lzma
%{mingw64_includedir}/lzma.h
%{mingw64_libdir}/liblzma.dll.a
%{mingw64_libdir}/pkgconfig/liblzma.pc

%files -n mingw64-xz-libs-static
%license COPYING
%{mingw64_libdir}/liblzma.a




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 5.2.5-2.mga9
+ Revision: 1812508
- Mageia 9 Mass Rebuild

* Fri Mar 20 2020 daviddavid <daviddavid> 5.2.5-1.mga8
+ Revision: 1558146
- new version: 5.2.5

* Wed Feb 12 2020 umeabot <umeabot> 5.2.4-3.mga8
+ Revision: 1502148
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.2.4-2.mga7
+ Revision: 1279936
- Mageia 7 Mass Rebuild

* Sun Jul 15 2018 daviddavid <daviddavid> 5.2.4-1.mga7
+ Revision: 1243734
- new version: 5.2.4

* Thu Apr 07 2016 tv <tv> 5.2.2-1.mga6
+ Revision: 999126
- new release

* Sat Feb 06 2016 umeabot <umeabot> 5.1.2-0.4alpha.5.mga6
+ Revision: 940975
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.1.2-0.4alpha.4.mga5
+ Revision: 749594
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.2-0.4alpha.3.mga5
+ Revision: 682518
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.1.2-0.4alpha.2.mga4
+ Revision: 536267
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 5.1.2-0.4alpha.1.mga4
+ Revision: 484025
- imported package mingw-xz


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.2-4alpha
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.2-3alpha
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 26 2012 Michael Cronenworth <mike@cchtml.com> - 5.1.2-2alpha
- Fix CFLAGS.

* Sun Aug 26 2012 Michael Cronenworth <mike@cchtml.com> - 5.1.2-1alpha
- New upstream version.

* Thu Jun 07 2012 Michael Cronenworth <mike@cchtml.com> - 5.1.1-1alpha
- Initial RPM release.
